' -----------------------------------------------------------------------------------------------------------
'| This source code is provided 'as is' and any express or implied warranties, including,                    |
'| but not limited to, the implied warranties of merchantability and fitness for a particular                |
'| purpose are disclaimed.                                                                                   |
'|                                                                                                           |
'| In no event shall the author, Crownhill or contributers be liable for any direct, indirect, incidental,   |
'| special, exemplary, or consequential damages (including, but not limited to,  procurement of substitute   |
'| goods or services; loss of use, data, or profits;  or business interruption) however caused and on any    |
'| theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise)   |
'| arising in any way out of the use of this source code, even if advised of the possibility of such damage. |
'|                                                                                                           |
'| Any views and conclusions contained in the source code and any documentation are those of the author's    |
'| and should not be interpreted as representing official policies,                                          |
'| either expressed or implied, of Crownhill Associates Ltd.                                                 |
' -----------------------------------------------------------------------------------------------------------
'
' Demonstrate the DTMF out routines from the CCP1 peripheral
'
' Written by Les Johnson (21-04-14)
' For use with the Proton BASIC compiler. Only for use with an 18F device.
'
'         |     1K
' PORTC.2 |----/\/\/\/----o-----> Output
'         |               |
'         |             __|__
'         |             _____ 100nF
'         |               |
'         |               |
'         |             -----
'                        ---  Gnd
'                         -
'
    Include "Amicus18.inc"                              ' Setup the compiler for use with the Amicus18 board (PIC18F25K20 running at 64MHz)
    Include "DTMF_Out.inc"                              ' Load the DTMF out routines into the program

    Dim MyString As String * 20 = "01353 749991 "

'----------------------------------------------------------------------------
Main:
    While                                               ' Create an infinite loop
        '
        ' Generate DTMF tones from a RAM string
        '
        DTMF_String(MyString)
        '
        ' Generate DTMF tones from a code memory string
        '
        DTMF_Code("01353749991*")
        '
        ' Generate individual DTMF tones
        '
        DTMF_KeyOut("0", 200)
        DelayMS 100
        DTMF_KeyOut("1", 200)
        DelayMS 100
        DTMF_KeyOut("3", 200)
        DelayMS 100
        DTMF_KeyOut("5", 200)
        DelayMS 100
        DTMF_KeyOut("3", 200)
        DelayMS 100

        DTMF_KeyOut("7", 200)
        DelayMS 100
        DTMF_KeyOut("4", 200)
        DelayMS 100
        DTMF_KeyOut("9", 200)
        DelayMS 100
        DTMF_KeyOut("9", 200)
        DelayMS 100
        DTMF_KeyOut("9", 200)
        DelayMS 100
        DTMF_KeyOut("1", 200)
        DelayMS 100
        DTMF_KeyOut("*", 200)
        DelayMS 100
    Wend                                                ' Do it forever

